import './class-component-hooks';

import Vue from 'vue';
import App from './App.vue';
import { store } from './store';
import router from './router';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';
import { dom as FA_DOM} from '@fortawesome/fontawesome-svg-core';

import SmartTable from 'vuejs-smart-table';
import ApexChart from 'vue-apexcharts';

import './registerServiceWorker';
import { logService, LogLevel, ApiLogAppender, ConsoleLogAppender } from '@/services/logging';

Vue.component('fa-icon', FontAwesomeIcon);
FA_DOM.watch();

Vue.component('apex-chart', ApexChart);
Vue.use(SmartTable);

const consoleLogAppender = new ConsoleLogAppender(LogLevel.ALL);
logService.ROOT_LOGGER.appenders.push(consoleLogAppender);

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app');
